<template>
    <div class="edit-view">
        <el-form :model="formData" :rules="rules" ref="form" label-width="108px" label-position="right" size="small"
                 style="max-width: 500px;">
                <el-form-item prop="orderId" label="订单号">
                            <el-input-number type="number" v-model="formData.orderId"></el-input-number>
                </el-form-item>
                <el-form-item prop="img" label="图片">
                            <el-input v-model="formData.img"></el-input>
                </el-form-item>
                <el-form-item prop="goodsLike" label="商品评分">
                            <el-input-number type="number" v-model="formData.goodsLike"></el-input-number>
                </el-form-item>
                <el-form-item prop="goodsBad" label="商品评分">
                            <el-input-number type="number" v-model="formData.goodsBad"></el-input-number>
                </el-form-item>
                <el-form-item prop="goodsAppraise" label="商品评价">
                            <el-input v-model="formData.goodsAppraise"></el-input>
                </el-form-item>
                <el-form-item prop="riderScore" label="骑手评分">
                            <el-input-number type="number" v-model="formData.riderScore"></el-input-number>
                </el-form-item>
                <el-form-item prop="riderAppraise" label="骑手评价">
                            <el-input v-model="formData.riderAppraise"></el-input>
                </el-form-item>
                <el-form-item prop="merchantReply" label="商家回复评价">
                            <el-input v-model="formData.merchantReply"></el-input>
                </el-form-item>
                <el-form-item prop="appraiseTime" label="评价日期">
                            <el-date-picker
                                    v-model="formData.appraiseTime"
                                    type="datetime"
                                    value-format="yyyy-MM-dd HH:mm:ss"
                                    placeholder="选择日期时间">
                            </el-date-picker>
                </el-form-item>
            <el-form-item>
                <el-button @click="onSave" :loading="saving"
                           type="primary">保存</el-button>
                <el-button @click="onDelete" :loading="saving"
                           type="danger" v-if="formData.id">删除
                </el-button>
                <el-button @click="$router.go(-1)">取消</el-button>
            </el-form-item>
        </el-form>
    </div>
</template>
<script>
    export default {
        name: 'AppraisalEdit',
        created() {
            if (this.$route.query.id) {
                this.$http
                    .get('appraisal/get/'+this.$route.query.id)
                    .then(res => {
                        this.formData = res;
                    })
                    .catch(e => {
                        console.log(e);
                        this.$message.error(e.error);
                    });
            }
        },
        data() {
            return {
                saving: false,
                formData: {
                },
                rules: {
                },
            }
        },
        methods: {
            onSave() {
                this.$refs.form.validate((valid) => {
                    if (valid) {
                        this.submit();
                    } else {
                        return false;
                    }
                });
            },
            submit() {
                let data = {...this.formData};

                this.saving = true;
                this.$http
                    .post('/appraisal/save', data, {body: 'json'})
                    .then(res => {
                        this.saving = false;
                        this.$message.success('成功');
                        this.$router.go(-1);
                    })
                    .catch(e => {
                        console.log(e);
                        this.saving = false;
                        this.$message.error(e.error);
                    });
            },
            onDelete() {
                this.$alert('删除将无法恢复，确认要删除么？', '警告', {type: 'error'}).then(() => {
                    return this.$http.post(`/appraisal/del/${this.formData.id}`)
                }).then(() => {
                    this.$message.success('删除成功');
                    this.$router.go(-1);
                }).catch(e => {
                    if (e !== 'cancel') {
                        console.log(e);
                        this.$message.error(e.error);
                    }
                })
            },
        }
    }
</script>
<style lang="less" scoped>
</style>
